Package twisted :: Package protocols :: Module irc :: Class DccSendProtocol

[show private | hide private]
[frames | no frames]

## Class DccSendProtocol

    BaseProtocol --+
                   |
            Protocol --+
                       |
           Ephemeral --+
                       |
                      DccSendProtocol

Protocol for an outgoing Direct Client Connection SEND.

Method Summary
| `__init__(self, file)`
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received.
| `sendBlock(self)`

Class Variable Summary
`int` | `blocksize`
`int` | `bytesSent`
`int` | `completed`
`int` | `connected`
`NoneType` | `file`

Method Details

### connectionLost(self, reason)

Called when the connection is shut down.

Clear any circular references here, and any external references to this Protocol. The connection has been closed.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.Protocol.connectionLost` (inherited documentation)

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### dataReceived(self, data)

Called whenever data is received.

Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message.

  Parameters:
    `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time.
  Overrides:
    `twisted.internet.protocol.Protocol.dataReceived` (inherited documentation)

Class Variable Details

### blocksize

  Type:
    `int`
  Value:

        1024

### bytesSent

  Type:
    `int`
  Value:

        0

### completed

  Type:
    `int`
  Value:

        0

### connected

  Type:
    `int`
  Value:

        0

### file

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:16:39 2003 | http://epydoc.sf.net